> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openformat.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Webhook Verification

> Trigger a webhook test

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": "success"
  }
  ```

  ```json 400 theme={null}
  {
    "success": false,
    "error": {
      "issues": [
        {
          "validation": "regex",
          "code": "invalid_string",
          "message": "Invalid",
          "path": [
            "id"
          ]
        }
      ],
      "name": "ZodError"
    }
  }
  ```

  ```JSON 404 theme={null}
  {
    "status": "failed",
    "error": "Webhook not found"
  }
  ```

  ```JSON 500 theme={null}
  {
    "status": "failed",
    "error": "Database operation failed"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml post /webhook/{id}/test
openapi: 3.0.0
info:
  version: 0.1.0
  title: Openformat API
servers:
  - url: https://api.openformat.tech/v1
    description: Live server
security:
  - ApiKeyAuth: []
paths:
  /webhook/{id}/test:
    post:
      tags:
        - webhook
        - job
        - test
      description: Trigger a webhook test
      parameters:
        - schema:
            type: string
            pattern: ^\d+$
            description: Webhook id
            example: '123'
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Success message or error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                    description: Successful reponse status
                    example: success
                required:
                  - status
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Error code for the field
                              example: invalid_type
                            path:
                              type: array
                              items:
                                type: string
                              description: Field with error
                              example:
                                - some_field
                            message:
                              type: string
                              description: Error message
                              example: Required
                          required:
                            - code
                            - path
                            - message
                        description: Error object with all validation issues
                    required:
                      - issues
                required:
                  - error
        '500':
          description: An error ocurred
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failed
                    description: Failed reponse status
                    example: failed
                  error:
                    type: string
                    description: Error message
                    example: Database operation failed
                required:
                  - status
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````